% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/antsrMetric_class.R
\name{antsrMetricSetSampling}
\alias{antsrMetricSetSampling}
\title{antsrMetricSetSampling}
\usage{
antsrMetricSetSampling(metric, sampling.strategy, sampling.percentage)
}
\arguments{
\item{metric}{an 'antsrMetric'}

\item{sampling.strategy}{sampling strategy, default if full sampling
\itemize{
  \item{none}{Full sampling}
  \item{random}{}
  \item{regular}{}
}}

\item{sampling.percentage}{percentage of data to sample when calculating metric}
}
\description{
set image sampling strategy and rate
}
\note{
After calling this, must call antsrMetricInitialize(metric)
}
\examples{
x =  antsImageRead( getANTsRData( 'r16' ))
y =  antsImageRead( getANTsRData( 'r30' ))
metric = antsrMetricCreate(x,y,type="MeanSquares")
antsrMetricSetSampling(metric,"random",0.4)
}
